# DaprApiProtocol (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client

## Enum DaprApiProtocol

- java.lang.Object
- - java.lang.Enum<DaprApiProtocol>
  - - io.dapr.client.DaprApiProtocol

All Implemented Interfaces:
  `Serializable`, `Comparable<DaprApiProtocol>`

    @Deprecated
    public enum DaprApiProtocol
    extends Enum<DaprApiProtocol>

Deprecated.
This class will be deleted at SDK version 1.10.
Transport protocol for Dapr's API.

### Enum Constant Summary

Enum Constants
`GRPC` Deprecated.
`HTTP` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static DaprApiProtocol` `valueOf​(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static DaprApiProtocol[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GRPC

    public static final DaprApiProtocol GRPC

Deprecated.

#### HTTP

    public static final DaprApiProtocol HTTP

Deprecated.

### Method Detail

#### values

    public static DaprApiProtocol[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DaprApiProtocol c : DaprApiProtocol.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DaprApiProtocol valueOf​(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null